<?
include_once 'includes/core.inc.php';

$Tpl = new TemplatePower('templates/active.tpl');

$Tpl->AssignInclude('HEADER', 'templates/header.tpl');
$Tpl->AssignInclude('FOOTER', 'templates/footer.tpl');

$Tpl->prepare();

include 'includes/config.inc.php';
include 'header.php';

if ( empty($Global_url[1]) || !is_numeric($Global_url[1]) ) $Aantal_topics = 50;
elseif ( !empty($Global_url[1]) && is_numeric($Global_url[1]) ) $Aantal_topics = $Global_url[1];

$Topics_Query = $Sql->Query("SELECT
								t.*,
								
								l.led_id AS last_userid,
								l.led_nickname AS last_nickname,
								
								ls.led_id AS starter_userid,
								ls.led_nickname AS starter_nickname,
								
								f.forum_id,
								f.forum_groepen
								
							FROM
								dt5_topic t,
								dt5_leden l,
								dt5_leden ls,
								dt5_forum f
														
							WHERE
								l.led_id = t.topic_lastuserid
								
							AND
								ls.led_id = t.topic_starterid
								
							AND
								f.forum_id = t.topic_forumid
								
							ORDER BY
								t.topic_lastpostdatum DESC
							
							LIMIT ".$Aantal_topics);
								
	
	if( $Sql->Count($Topics_Query) == 0 ){
		
		$Tpl->newBlock('TOON_MELDING');
		$Tpl->Assign('MELDING', 'Er zijn nog geen topics gestart op dit forum.');
		
	}
	
	while ($Topic = mysql_fetch_array($Topics_Query)){
	
		if( !empty($Topic['forum_groepen']) && substr( $Topic['forum_groepen'], ( strlen($Topic['forum_groepen']) - 1), 1) != ',') $Topic['forum_groepen'] = $Topic['forum_groepen'].',';
	
		if( !empty($Topic['forum_groepen']) && !in_array($User_groepid, explode(',', $Topic['forum_groepen']) ) ) {} else {
			
			$Tpl->newBlock('TOON_TOPICS');
			
			if( $Topic['topic_status'] == 'closed' ) $Topic_image = $Global_install_url.'templates/images/closed.gif';
			elseif( $Topic['topic_status'] == 'sticky' ) $Topic_image = $Global_install_url.'templates/images/sticky.gif';
			elseif( $Topic['topic_status'] == 'stickyclosed' ) $Topic_image = $Global_install_url.'templates/images/sticky.gif';
			elseif( $Topic['topic_status'] == 'faq' ) $Topic_image = $Global_install_url.'templates/images/speciaal.gif';
		
			if( $Topic['topic_status'] == 'normaal' ){
			
				if( $Topic['topic_lastpostdatum'] >= $Sessie['tijd_ingelogd'] ) $Topic_image = $Global_install_url.'templates/images/on.gif';
				elseif( $Topic['topic_lastpostdatum'] < $Sessie['tijd_ingelogd'] ) $Topic_image = $Global_install_url.'templates/images/off.gif';
			
			}
		

			
			if( $Topic['topic_reports'] > 0 && Rechten($Topic['topic_forumid'], 'bekijk_reports') ){
				$Tpl->Assign('TOPIC_REPORTED_IMAGE', '<a href="'.$Global_install_url.'report'.$Global_extension.'/bekijk/'.$Topic['topic_id'].'"><img src="'.$Global_install_url.'templates/images/reported.gif" alt="Dit topic is gemeld door een gebruiker"></a>');
			}
			
			$Topic_titel = $Txt->safeoutput($Topic['topic_naam']);
			if( strlen($Topic_titel) > 50 ) $Topic_titel = substr($Topic_titel, 0, 50); 
			
			
			$Topic_last_nickname = $Txt->safeoutput($Topic['last_nickname']);
			$Topic_lastpostdatum = date('d-m / H:i', $Topic['topic_lastpostdatum']);
			
			$Topic_starter_nickname = $Txt->safeoutput($Topic['starter_nickname']);
			
			if( $User_ingelogd == 1 ) $Topic_maxreplies = $User_pref_ppp;
			elseif( $User_ingelogd == 0 ) $Topic_maxreplies = 15;
			
			if( $Topic_maxreplies == 0 || empty($Topic_maxreplies) ) $Topic_maxreplies = 15;
			
			if ( $Topic['topic_posts'] < $Topic_maxreplies ){    
				 
				$Tpl->newBlock('TOON_AANTAL_POSTS');
				$Tpl->Assign('TOPIC_POSTS', ceil($Topic['topic_posts'] ) );
				
			}
					
			if( $Topic['topic_posts'] >= $Topic_maxreplies ){
			
				$Tpl->newBlock('TOON_DROPDOWN_POSTS');
				$Tpl->Assign('TOPIC_POSTS', ceil($Topic['topic_posts'] ) );
				$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
				
				$Aantal_paginas = ceil( ($Topic['topic_posts'] + 1) / $Topic_maxreplies );
	
				$Tel_paginas = 0;
				
				while( $Tel_paginas < $Aantal_paginas ){
				
					$GotoPage = $Tel_paginas + 1;
					$Tpl->newBlock('TOON_PAGINAS');
					$Tpl->Assign('TOPIC_PAGEID', $GotoPage);
					$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
					$Tel_paginas++;
					
				}
			
			} 
			
			$Tpl->GotoBlock('TOON_TOPICS');
			
			$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
			$Tpl->Assign('TOPIC_NAAM', $Topic_titel);
			$Tpl->Assign('TOPIC_LASTUSERID', $Topic['last_userid']);
			$Tpl->Assign('TOPIC_LASTUSERNAME', $Topic_last_nickname);
			$Tpl->Assign('TOPIC_STARTERUSERID', $Topic['starter_userid']);
			$Tpl->Assign('TOPIC_STARTERUSERNAME', $Topic['starter_nickname']);
			$Tpl->Assign('TOPIC_LASTPOSTDATUM', $Topic_lastpostdatum);
			$Tpl->Assign('TOPIC_LASTPOSTID', $Topic['topic_lastpostid']);
			$Tpl->Assign('TOPIC_IMAGE', $Topic_image);
			$Tpl->Assign('TOPIC_VIEWS', $Topic['topic_views']);
			$Tpl->Assign('TOPIC_POSTS', ($Topic['topic_posts'] - 1) );
			
		}
			
	}

include 'footer.php';

?>