<?
include_once 'includes/core.inc.php';

$Tpl = new TemplatePower('templates/leden.tpl');

$Tpl->AssignInclude('HEADER', 'templates/header.tpl');
$Tpl->AssignInclude('FOOTER', 'templates/footer.tpl');

$Tpl->prepare();

include 'includes/config.inc.php';
include 'header.php';

if( !empty($Global_url[2]) && !is_numeric($Global_url[2]) || !empty($Global_url[2]) && !is_numeric($Global_url[2]) ){
	header('Location: '.$Global_install_url.'index'.$Global_extension);
	die;
}

if( empty($Global_url[1]) ){
	
	$Tpl->AssignGlobal('LEDEN_PAG_TITLE', 'Gebruikersgroepen Overzicht');

	$Tpl->newBlock('TOON_GROEPEN_INDEX');

	$Groepen_Query = $Sql->Query("SELECT groep_id, groep_naam, groep_kleur, groep_beschrijving, groep_leden FROM dt5_groepen ORDER BY groep_sort ASC");
	while($Groep = mysql_fetch_array($Groepen_Query)){
	
		$Groep_naam = $Txt->safeoutput($Groep['groep_naam']);
		$Groep_kleur = $Txt->safeoutput($Groep['groep_kleur']);
		$Groep_beschrijving = $Txt->safeoutput($Groep['groep_beschrijving']);
		$Groep_leden = $Txt->safeoutput($Groep['groep_leden']);
		
		$Tpl->newBlock('TOON_GROEPEN');
		$Tpl->Assign('GROEP_ID', $Groep['groep_id']);
		$Tpl->Assign('GROEP_NAAM', $Groep_naam);
		$Tpl->Assign('GROEP_KLEUR', $Groep_kleur);
		$Tpl->Assign('GROEP_BESCHRIJVING', $Groep_beschrijving);
		$Tpl->Assign('GROEP_LEDEN', $Groep_leden);
	}
	
} elseif( !empty($Global_url[1]) && is_numeric($Global_url[1]) ){

	$Groep_Query = $Sql->Query("SELECT groep_id, groep_naam, groep_beschrijving, groep_leden FROM dt5_groepen WHERE groep_id = '".$Global_url[1]."'");
	$Groep = mysql_fetch_array($Groep_Query);
	
	$Groep_naam = $Txt->safeoutput($Groep['groep_naam']);
	$Groep_beschrijving = $Txt->safeoutput($Groep['groep_beschrijving']);
	
	$Tpl->AssignGlobal('LEDEN_PAG_TITLE', 'Gebruikers in: '.$Groep_naam);

	$Tpl->newBlock('TOON_GEBRUIKERS_LIJST');
	$Tpl->Assign('GROEP_ID', $Groep['groep_id']);
	$Tpl->Assign('GROEP_NAAM', $Groep_naam);
	$Tpl->Assign('GROEP_BESCHRIJVING', $Groep_beschrijving);
	
	if( empty($Global_url[2]) || !isset($Global_url[2]) ) $Pagina = 1; else $Pagina = $Global_url[2];
	
	if( $Groep['groep_leden'] > 0 ) $Aantal_paginas = ceil( ceil($Groep['groep_leden'] + 1) / 50 );
	elseif( $Groep['groep_leden'] == 0 ) $Aantal_paginas = 1;
	
	$Tel_paginas = 0;
	$Paginas_Array = array();
	
	while($Tel_paginas < $Aantal_paginas) { 
	
		$GotoPage = $Tel_paginas + 1;
		
		if ($Pagina == $GotoPage) $Pagina_actief = 'style="text-decoration: underline;"';
		
		$Paginas_Array[] = '<a href="'.$Global_install_url.'leden'.$Global_extension.'/'.$Groep['groep_id'].'/'.$GotoPage.'" '.$Pagina_actief.'>'.$GotoPage.'</a>';
		
		$Tel_paginas++;
		
		$Pagina_actief = '';
	}
	
	$Tpl->Assign('TOON_LEDEN_PAGINATIE', implode(', ', $Paginas_Array) );

	$DisplayFrom = ($Pagina - 1) * 50;

	$Leden_Query = $Sql->Query("SELECT led_id, led_nickname, led_naam, led_email, led_website, led_regdatum, led_posts FROM dt5_leden WHERE led_groep = '".$Groep['groep_id']."' ORDER BY led_nickname ASC LIMIT ".$DisplayFrom.", 50");
	while($Leden = mysql_fetch_array($Leden_Query)){
	
		$User_nickname = $Txt->safeoutput($Leden['led_nickname']);
		$User_naam = $Txt->safeoutput($Leden['led_naam']);
		$User_email = $Txt->safeoutput($Leden['led_email']);
		$User_website = $Txt->safeoutput($Leden['led_website']);
		$User_regdatum = normaltime($Leden['led_regdatum']);
		
		if(	!empty($User_website) && substr($User_website, 0, 7) != 'http://') $User_website = 'http://'.$User_website;
		
		$Tijd_Nu = time() - 300;
		$User_Online_Query = mysql_query("SELECT COUNT(sessie_id) AS tel_online FROM dt5_sessions WHERE userid = '".$Leden['led_id']."' && tijd_lastactive > '".$Tijd_Nu."' && ingelogd = 'ja'");
		$Online = mysql_fetch_array($User_Online_Query);
		
		if( $Online['tel_online'] > 0 ){
			$User_online = '<span class="user_online">Online</span>';
		} else {
			$User_online = '<span class="user_offline">Offline</span>';
		}
		
		$Tpl->newBlock('TOON_GEBRUIKERS');
		$Tpl->Assign('USER_ID', $Leden['led_id']);
		$Tpl->Assign('USER_NICKNAME', $User_nickname);
		$Tpl->Assign('USER_NAAM', $User_naam);
		$Tpl->Assign('USER_WEBSITE', $User_website);
		$Tpl->Assign('USER_REGDATUM', $User_regdatum);
		$Tpl->Assign('USER_POSTS', $Leden['led_posts']);
		$Tpl->Assign('USER_ONLINE', $User_online);
		
	}
	
}

include 'footer.php';

?>