<?
include_once 'includes/core.inc.php';

$Tpl = new TemplatePower('templates/pm.tpl');

include 'includes/config.inc.php';

$Tpl->AssignInclude('HEADER', 'templates/header.tpl');
$Tpl->AssignInclude('FOOTER', 'templates/footer.tpl');

if( $Global_url[1] == 'inbox' || $Global_url[1] == 'delete' || $Global_url[1] == 'markeer' ){
	$Tpl->AssignInclude('INBOX', 'templates/inbox.tpl');
} elseif( $Global_url[1] == 'verstuur' ){
	$Tpl->AssignInclude('VERSTUUR', 'templates/nieuwpm.tpl');
	$Tpl->AssignInclude('TOON_SMILIES_CODE', 'templates/smile_code.tpl');
	$Tpl->AssignInclude('TOON_UBB_CODE', 'templates/ubb_code.tpl');
} elseif( $Global_url[1] == 'bekijk' ){
	$Tpl->AssignInclude('BEKIJK', 'templates/bekijkpm.tpl');
	$Tpl->AssignInclude('MESSAGE', 'templates/message.tpl');
} else {
	die('"'.$Global_url[1].'" is geen geldige actie.');
}

$Tpl->prepare();

include 'header.php';

$Pm_Actions_Array = array('inbox', 'verstuur', 'bekijk', 'delete', 'markeer');

if( !in_array($Global_url[1], $Pm_Actions_Array) || $User_ingelogd == 0 ){
	
	$Tpl->newBlock('TOON_MELDING');
	$Tpl->Assign('MELDING', 'Om priveberichten te kunnen versturen en ontvangen moet je ingelogd zijn.');
	
} else {

	if( empty($Global_url[1]) ){
		header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
		die;
	}
	
	if( $Global_url[1] == 'inbox' ){
	
		$Inbox_Query = $Sql->Query("SELECT pm.*, l.led_id AS userid, l.led_nickname AS username FROM dt5_pm pm, dt5_leden l WHERE pm.pm_voor = '".$User_userid."' && l.led_id = pm.pm_door ORDER BY pm_datum DESC");
		
		if( $Sql->Count($Inbox_Query) == 0 ){
		
			$Tpl->newBlock('TOON_MELDING');
			$Tpl->Assign('MELDING', 'Je hebt nog geen berichten in je Inbox staan.');
			$Tpl->AssignGlobal('INBOX_PERCENTAGE', '0%');
			
		} else {
		
			$Pm_count = 0;
	
			$Pm_percentage = $Sql->Count($Inbox_Query) / 50 * 100;
			
			if( $Pm_percentage >= 90 ){
				$Tpl->AssignGlobal('INBOX_PERCENTAGE', '<span style="color: #FF0000; font-weight: bold;">'.$Pm_percentage.'%</span>');
			} else {
				$Tpl->AssignGlobal('INBOX_PERCENTAGE', $Pm_percentage.'%');
			}
			
			if( $Sql->Count($Inbox_Query) >= 50 ){
				
				$Tpl->newBlock('TOON_MELDING');
				$Tpl->Assign('MELDING', '<span style="color: #FF0000; font-weight: bold;">Je limiet van 50 priveberichten is bereikt. Je kunt nu geen nieuwe berichten meer ontvangen.</span>');
				
			}
			
			while($Pm = mysql_fetch_array($Inbox_Query)){
			
				$Pm_titel = $Txt->safeoutput($Pm['pm_titel']);
				$Pm_nickname = $Txt->safeoutput($Pm['username']);
				
				if( $Pm['pm_gezien'] == 'nee' ){
					$Pm_image = $Global_install_url.'templates/images/on.gif';
				} elseif( $Pm['pm_gezien'] == 'ja' ){
					$Pm_image = $Global_install_url.'templates/images/off.gif';
				}
					
				$Tpl->newBlock('TOON_BERICHTEN');
				$Tpl->Assign('PM_ID', $Pm['pm_id']);
				$Tpl->Assign('PM_TITEL', $Pm_titel);
				$Tpl->Assign('PM_DATUM', normaltime($Pm['pm_datum'], 'ja') );
				$Tpl->Assign('PM_IMAGE', $Pm_image);
				$Tpl->Assign('PM_USERID', $Pm['userid']);
				$Tpl->Assign('PM_USERNAME', $Pm_nickname);
				$Tpl->Assign('PM_COUNT', $Pm_count);
				
				if( $Pm['pm_pushmessage'] == 'ja' ) $Tpl->Assign('PM_PUSHMESSAGE', 'style="color: #FF0000; font-weight: bold;"');
				
				$Pm_count++;
			}
			
		}
		
	} elseif( $Global_url[1] == 'verstuur' ){
	
		if( isset($_POST['submit']) ){
		
			if( empty($_POST['pm_ontvanger']) || empty($_POST['pm_titel']) || empty($_POST['bericht']) ){
				
				$Tpl->newBlock('TOON_MELDING');
				$Tpl->Assign('MELDING', 'Je moet wel alle velden invullen. Klik <a href="javascript:history.go(-1)">hier</a> om terug te gaan.');
			
			} else {
			
				$User_Query = $Sql->Query("SELECT led_id, led_nickname FROM dt5_leden WHERE led_nickname = '".addslashes($_POST['pm_ontvanger'])."'");
				
				if( $Sql->Count($User_Query) == 0 ){
					
					$Tpl->newBlock('TOON_MELDING');
					$Tpl->Assign('MELDING', 'Deze gebruiker staat niet in de database.');
					
				} else {
				
					$User = mysql_fetch_array($User_Query);
					
					$Pm_Count_Query = $Sql->Query("SELECT pm_id FROM dt5_pm WHERE pm_voor = '".$User['led_id']."'");
					
					if( $Sql->Count($Pm_Count_Query) > 50 ){
					
						$Tpl->newBlock('TOON_MELDING');
						$Tpl->Assign('MELDING', 'De inbox van de ontvanger is vol, je privebericht is daarom niet verstuurd.');
						
					} else {
					
						$Pm_titel = addslashes($_POST['pm_titel']);
						$Pm_bericht = addslashes($_POST['bericht']);
						
						$Sql->Query("INSERT INTO dt5_pm (pm_titel, pm_voor, pm_door, pm_datum, pm_gezien, pm_bericht) VALUES ('".$Pm_titel."', '".$User['led_id']."', '".$User_userid."', '".time()."', 'nee', '".$Pm_bericht."')");
						$Pm_id = mysql_insert_id();
						
						$Sql->Query("UPDATE dt5_leden SET led_nieuwpms = led_nieuwpms + 1 WHERE led_id = '".$User['led_id']."'");
						
						if( Rechten('global', 'ap_pushmessage') ){
						
							if( $_POST['pushmessage'] == 'ja' ){
							
								$Sql->Query("UPDATE dt5_pm SET pm_pushmessage = 'ja' WHERE pm_id = '".$Pm_id."'");
								$Sql->Query("UPDATE dt5_leden SET led_pushpms = led_pushpms + 1 WHERE led_id = '".$User['led_id']."'");
							}
							
						}
									
						
						if( $User_pref_bevestiging == 'ja' ){
						
							$Tpl->newBlock('TOON_MELDING');
							$Tpl->Assign('MELDING', 'Je privebericht is verstuurd. Je wordt nu teruggestuurd naar je inbox.');
			
							header('Refresh: 3; url= '.$Global_install_url.'pm'.$Global_extension.'/inbox');
				
						} else {
				
							header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
				
						}
						
					}
					
				}
				
			}
			
		} else {
		
			$Tpl->newBlock('TOON_FORMULIER');
			
			if( Rechten('global', 'ap_pushmessage') ) $Tpl->newBlock('PM_PUSHMESSAGE');
			
			if( !empty($Global_url[2]) && is_numeric($Global_url[2]) ){
				
				$User_Query = $Sql->Query("SELECT led_nickname FROM dt5_leden WHERE led_id = '".$Global_url[2]."'");
				$User = mysql_fetch_array($User_Query);
				
				$User_nickname = $Txt->safeoutput($User['led_nickname']);
				$Tpl->AssignGlobal('PM_ONTVANGER', $User_nickname);
				
			}
			
			if( !empty($Global_url[3]) && is_numeric($Global_url[3]) ){
				
				$Reply_Query = $Sql->Query("SELECT * FROM dt5_pm WHERE pm_id = '".$Global_url[3]."'");
				$Reply = mysql_fetch_array($Reply_Query);
				
				if( $Reply['pm_voor'] != $User_userid ){
					header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
				} else {
				
					$Reply_bericht = $Txt->safeoutput($Reply['pm_bericht']);
					
					$Reply_bericht = preg_replace('/\[quote](.*?)\[\/quote]/si', '[..]', $Reply_bericht);
					$Reply_bericht = preg_replace('/\[img](.*?)\[\/img]/si', '[afbeelding]', $Reply_bericht);
					$Reply_bericht = preg_replace('/\[img width=(.*?)\](.*?)\[\/img]/si', '[afbeelding]', $Reply_bericht);
					
					$Quote_bericht = '[quote]Op '.normaltime($Reply['pm_datum'], 'ja').' schreef '.$User_nickname.':'."\n";
					$Quote_bericht .= $Reply_bericht;
					$Quote_bericht .= '[/quote]';
					
					$Quote_titel = $Txt->safeoutput($Reply['pm_titel']);
					
					if( substr($Quote_titel, 0, 3) != 'RE:' ) $Quote_titel = 'RE: '.$Quote_titel;
					
					$Tpl->AssignGlobal('PM_TITEL', $Quote_titel);
					$Tpl->AssignGlobal('PM_BERICHT', $Quote_bericht);
					
				}
				
			}
			
			if ( isset($_POST['preview']) && !empty($_POST['bericht']) ){
		
				$Tpl->newBlock('TOON_PREVIEW');
			
				$Tpl->Assign('USER_USERID', $_SESSION['user_id']);
				$Tpl->Assign('USER_NICKNAME', $_SESSION['nickname']);
				$Tpl->Assign('USER_POSTS', $Sessie['led_posts']);
				$Tpl->Assign('USER_GROEPKLEUR', $Sessie['groep_kleur']);
				$Tpl->Assign('USER_GROEPNAAM', $Sessie['groep_titel']);
			
				$Tpl->Assign('POST_DATUM', normaltime( time(), 'ja') );
			
				$Preview_bericht = $Txt->safeoutputbr($_POST['bericht']);
				$Preview_bericht = $Txt->ubb($Preview_bericht);
			
				$Tpl->Assign('PREVIEW_BERICHT', $Preview_bericht);
			
				$Tpl->GotoBlock('TOON_FORMULIER');
				
				$Preview_pm_bericht = $Txt->safeoutput($_POST['bericht']);
				$Preview_pm_ontvanger = $Txt->safeoutput($_POST['pm_ontvanger']);
				$Preview_pm_titel = $Txt->safeoutput($_POST['pm_titel']);
				
				$Tpl->AssignGlobal('PM_ONTVANGER', $Preview_pm_ontvanger);
				$Tpl->AssignGlobal('PM_TITEL', $Preview_pm_titel);
				$Tpl->AssignGlobal('PM_BERICHT', $Preview_pm_bericht);
			
			}
			
		}
		
	} elseif( $Global_url[1] == 'bekijk' && !empty($Global_url[2]) && is_numeric($Global_url[2]) ){
		
		if( isset($_POST['pushmessage']) ){
		
			$Sql->Query("UPDATE dt5_leden SET led_pushpms = led_pushpms - 1 WHERE led_id = '".$User_userid."'");
			$Sql->Query("UPDATE dt5_pm SET pm_pushmessage = 'nee' WHERE pm_id = '".$Global_url[2]."'");
			
			$Sql->Query("UPDATE dt5_pm SET pm_gezien = 'ja' WHERE pm_id = '".$Pm['pm_id']."'");
			$Sql->Query("UPDATE dt5_leden SET led_nieuwpms = led_nieuwpms - 1 WHERE led_id = '".$User_userid."'");
			
			header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
			
		}
		
		$Pm_Query = $Sql->Query("SELECT pm.*, l.led_id AS user_userid, l.led_nickname AS user_nickname, l.led_website, l.led_avatar AS user_avatar, l.led_signature AS user_signature, l.led_posts AS user_posts, g.groep_titel, g.groep_kleur FROM dt5_pm pm, dt5_leden l, dt5_groepen g WHERE pm.pm_id = '".$Global_url[2]."' && l.led_id = pm.pm_door && g.groep_id = l.led_groep");
		$Pm = mysql_fetch_array($Pm_Query);
		
		if( $Pm['pm_voor'] != $User_userid ) header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
		if( $Sql->Count($Pm_Query) == 0 ) header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
		
		if( $Pm['pm_gezien'] == 'nee' ){
			$Sql->Query("UPDATE dt5_pm SET pm_gezien = 'ja' WHERE pm_id = '".$Pm['pm_id']."'");
			
			if( $Sessie['led_nieuwpms'] > 0 ){
				$Sql->Query("UPDATE dt5_leden SET led_nieuwpms = led_nieuwpms - 1 WHERE led_id = '".$User_userid."'");
			}
			
		}
		
		$Pm_titel = $Txt->safeoutput($Pm['pm_titel']);
		
		$Pm_nickname = $Txt->safeoutput($Pm['user_nickname']);
		$Pm_homepage = $Txt->safeoutput($Pm['led_website']);
		$Pm_datum = normaltime($Pm['pm_datum'], 'ja');
		$Pm_bericht = $Txt->safeoutputbr($Pm['pm_bericht']);
		$Pm_bericht = $Txt->ubb($Pm_bericht);
		$Pm_groepnaam = $Txt->safeoutput($Pm['groep_titel']);
		$Pm_groepkleur = $Txt->safeoutput($Pm['groep_kleur']);	
	
		if( !empty($Pm['user_avatar']) ){
		
			$Pm_avatar = $Txt->safeoutput($Pm['user_avatar']);	
			
			$Tpl->newBlock('TOON_USER_AVATAR');
			$Tpl->Assign('REPLY_AVATAR', $Pm_avatar);
			
		}
		
		if( !empty($Pm['user_signature']) ){
		
			$Pm_signature = $Txt->safeoutput($Pm['user_signature']);
			$Pm_signature = $Txt->ubbSig($Pm_signature);
			
			$Tpl->newBlock('TOON_USER_SIGNATURE');
			$Tpl->Assign('REPLY_SIGNATURE', $Pm_signature);
			
		}
		
		$Tijd_Nu = time() - 900;
		$User_Online_Query = $Sql->Query("SELECT COUNT(sessie_id) AS tel_online FROM dt5_sessions WHERE userid = '".$Pm['user_userid']."' && tijd_lastactive > '".$Tijd_Nu."' && ingelogd = 'ja'");
		$Online = mysql_fetch_array($User_Online_Query);
		
		if( $Online['tel_online'] > 0 ){
			$Online_image = $Global_install_url.'templates/images/heado.gif';
		} else {
			$Online_image = $Global_install_url.'templates/images/head.gif';
		}
		
		$Tpl->AssignGlobal('PM_ID', $Pm['pm_id']);
		$Tpl->AssignGlobal('PM_TITEL', $Pm_titel);
		$Tpl->AssignGlobal('PM_USERID', $Pm['user_userid']);
		
		if( $Pm['pm_pushmessage'] == 'ja' ){
			
			$Tpl->newBlock('PM_PUSHMESSAGE');
			$Tpl->AssignGlobal('PM_PUSHMESSAGE', 'style="color: #FF0000; font-weight: bold;"');
		
		}
			
		$Tpl->AssignGlobal('REPLY_DATUM', $Pm_datum);
		$Tpl->AssignGlobal('REPLY_USERID', $Pm['user_userid']);
		$Tpl->AssignGlobal('REPLY_NICKNAME', $Pm_nickname);
		$Tpl->AssignGlobal('REPLY_GROEPNAAM', $Pm_groepnaam);
		$Tpl->AssignGlobal('REPLY_GROEPKLEUR', $Pm_groepkleur);
		$Tpl->AssignGlobal('REPLY_POSTS', $Pm['user_posts']);
		$Tpl->AssignGlobal('REPLY_BERICHT', $Pm_bericht);
		$Tpl->AssignGlobal('REPLY_ONLINEIMAGE', $Online_image);
		
		//
		$Tpl->AssignGlobal('REPLY_IMAGE_PROFILE', '<a href="'.$Global_install_url.'user'.$Global_extension.'/profiel/'.$Pm['user_userid'].'"><img src="'.$Global_install_url.'templates/images/profiel.gif" alt="Profiel bekijken van deze gebruiker"></a>');
		
		if( $Pm['pm_pushmessage'] == 'nee' ){
		
			$Tpl->AssignGlobal('REPLY_IMAGE_DELETE', '<a href="javascript:confirm_pm_delete(\''.$Global_install_url.'pm'.$Global_extension.'/delete/'.$Pm['pm_id'].'\');"><img src="'.$Global_install_url.'templates/images/delete.gif" alt="Deze post verwijderen"></a>');
			
		}
		
		$Tpl->AssignGlobal('REPLY_IMAGE_NIEUWPM', '<a href="'.$Global_install_url.'pm'.$Global_extension.'/verstuur/'.$Pm['user_userid'].'"><img src="'.$Global_install_url.'templates/images/note.gif" alt="Deze gebruiker een privebericht sturen"></a>');
		$Tpl->AssignGlobal('REPLY_IMAGE_QUOTE', '<a href="'.$Global_install_url.'pm'.$Global_extension.'/verstuur/'.$Pm['user_userid'].'/'.$Pm['pm_id'].'"><img src="'.$Global_install_url.'templates/images/quote.gif" alt="Deze PM quoten."></a>');
		
		if ( !empty($Pm_homepage) ){
			$Tpl->Assign('REPLY_IMAGE_HOMEPAGE', '<a href="'.$Pm_homepage.'" target="_blank"><img src="'.$Global_install_url.'templates/images/homepage.gif" border="0" alt="Bekijk de homepage van deze gebruiker."></a>');
		}
		
	} elseif( $Global_url[1] == 'delete' && empty($Global_url[2]) ){
		
		for($i = 0; $i < 50; $i++){
		
			if(	isset($_POST['del_'.$i]) ){
				$Sql->Query("DELETE FROM dt5_pm WHERE pm_id = '".$_POST['del_'.$i]."'") or die( mysql_error() );
			}
			
		}
			
		
		header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
			
	} elseif( $Global_url[1] == 'delete' && is_numeric($Global_url[2]) ){
	
		$Pm_Query = $Sql->Query("SELECT pm_id, pm_voor FROM dt5_pm WHERE pm_id = '".$Global_url[2]."'");
		$Pm_Delete = mysql_fetch_array($Pm_Query);
		
		if( $Pm_Delete['pm_voor'] != $User_userid ){
		
			header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
	
		} else {
		
			$Sql->Query("DELETE FROM dt5_pm WHERE pm_id = '".$Global_url[2]."' LIMIT 1");
				
			header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
		
		}
		
	} elseif( $Global_url[1] == 'markeer' && is_numeric($Global_url[2]) ){
	
	//Pm markeren als ongelezen
		$Sql->Query("UPDATE dt5_pm SET pm_gezien = 'nee' WHERE pm_id = '".$Global_url[2]."'");
		header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
		
	} elseif( $Global_url[1] == 'markeer' && $Global_url[2] == 'all' ){
	
		$Sql->Query("UPDATE dt5_pm SET pm_gezien = 'ja' WHERE pm_voor = '".$User_userid."'");
		$Sql->Query("UPDATE dt5_leden SET led_nieuwpms = '0' WHERE led_id = '".$User_userid."'");
		header('Location: '.$Global_install_url.'pm'.$Global_extension.'/inbox');
		
	}

}

include 'footer.php';
?>