<?

include_once 'includes/core.inc.php';

$Tpl = new TemplatePower('templates/forum.tpl');

$Tpl->AssignInclude('HEADER', 'templates/header.tpl');
$Tpl->AssignInclude('FOOTER', 'templates/footer.tpl');

$Tpl->prepare();

include 'includes/config.inc.php';
include 'header.php';

if ( !is_numeric($Global_url[1]) ){
	header('Location: '.$Global_install_url.'index'.$Global_extension);
	die;
}

$Tpl->GotoBlock('_ROOT');

$Forum_Query = $Sql->Query("SELECT forum_id, forum_naam, forum_uitleg, forum_groepen, forum_topics, forum_maxtopics FROM dt5_forum WHERE forum_id = '".$Global_url[1]."'");
$Forum = mysql_fetch_array($Forum_Query);

if(	$Sql->Count($Forum_Query) == 0){
	
	$Tpl->newBlock('TOON_MELDING');
	
	$Tpl->AssignGlobal('FORUM_NAAM', 'Geen subforum gevonden');
	$Tpl->AssignGlobal('FORUM_ID', $Global_url[1]);
	$Tpl->Assign('MELDING', 'Er is geen subforum gevonden met ID '.$Global_url[1]);
	
} else {
	
	$Forum_naam = $Txt->safeoutput($Forum['forum_naam']);
	$Forum_uitleg = $Txt->safeoutput($Forum['forum_uitleg']);
		
	$Tpl->AssignGlobal('FORUM_ID', $Forum['forum_id']);
	$Tpl->AssignGlobal('FORUM_NAAM', $Forum_naam);
	$Tpl->AssignGlobal('FORUM_UITLEG', $Forum_uitleg);
		
	if( !empty($Forum['forum_groepen']) && substr( $Forum['forum_groepen'], ( strlen($Forum['forum_groepen']) - 1), 1) != ',') $Forum['forum_groepen'] = $Forum['forum_groepen'].',';
		
	if( !empty($Forum['forum_groepen']) && !in_array($User_groepid, explode(',', $Forum['forum_groepen']) ) ){
			
		$Tpl->newBlock('TOON_MELDING');
		$Tpl->Assign('MELDING', 'Je hebt geen rechten om dit subforum te bekijken.');
			
	} else {
		
		if( empty($Global_url[2]) || !isset($Global_url[2]) ) $Pagina = 1; else $Pagina = $Global_url[2];
			
		if( $Forum['forum_topics'] > 0 ) $Aantal_paginas = ceil( ceil($Forum['forum_topics'] + 1) / $Forum['forum_maxtopics'] );
		elseif( $Forum['forum_topics'] == 0 ) $Aantal_paginas = 1;
			
			$Tel_paginas = 0;
			$Paginas_Array = array();
			
			while($Tel_paginas < $Aantal_paginas) { 
			
				$GotoPage = $Tel_paginas + 1;
				
				if ($Pagina == $GotoPage) $Pagina_actief = 'style="text-decoration: underline;"';
				
				$Paginas_Array[] = '<a href="'.$Global_install_url.'forum'.$Global_extension.'/'.$Forum['forum_id'].'/'.$GotoPage.'" '.$Pagina_actief.'>'.$GotoPage.'</a>';
				
				$Tel_paginas++;
				
				$Pagina_actief = '';
			}
			
			$Tpl->AssignGlobal('TOON_FORUM_PAGINATIE', implode(', ', $Paginas_Array) );
		
			$DisplayFrom = ($Pagina - 1) * $Forum['forum_maxtopics'];
		
		
		$Topics_Query = $Sql->Query("SELECT
										t.*,
										
										l.led_id AS last_userid,
										l.led_nickname AS last_nickname,
											
										ls.led_id AS starter_userid,
										ls.led_nickname AS starter_nickname
											
									FROM
										dt5_topic t,
										dt5_leden l,
										dt5_leden ls
											
									WHERE
										t.topic_forumid = '".$Global_url[1]."'
									
									AND
										l.led_id = t.topic_lastuserid
											
									AND
										ls.led_id = t.topic_starterid
										
									ORDER BY
										t.topic_status DESC,
										t.topic_lastpostdatum DESC
										
									LIMIT ".$DisplayFrom.", ".$Forum['forum_maxtopics']);
										
			
		if( $Sql->Count($Topics_Query) == 0 ){
				
			$Tpl->newBlock('TOON_MELDING');
			$Tpl->Assign('MELDING', 'Er zijn nog geen topics gestart in dit subforum. Klik <a href="'.$Global_install_url.'newtopic'.$Global_extension.'/'.$Global_url[1].'">hier</a> om een nieuw topic te starten.');
				
		}
			
		while ($Topic = mysql_fetch_array($Topics_Query)){
			
			$Tpl->newBlock('TOON_TOPICS');
				
			if( $Topic['topic_status'] == 'closed' ) $Topic_image = $Global_install_url.'templates/images/closed.gif';
			elseif( $Topic['topic_status'] == 'sticky' ) $Topic_image = $Global_install_url.'templates/images/sticky.gif';
			elseif( $Topic['topic_status'] == 'stickyclosed' ) $Topic_image = $Global_install_url.'templates/images/sticky.gif';
			elseif( $Topic['topic_status'] == 'faq' ) $Topic_image = $Global_install_url.'templates/images/speciaal.gif';
			
			if( $Topic['topic_status'] == 'normaal' ){
					
				if( $Topic['topic_lastpostdatum'] >= $Sessie['tijd_ingelogd'] ) $Topic_image = $Global_install_url.'templates/images/on.gif';
				elseif( $Topic['topic_lastpostdatum'] < $Sessie['tijd_ingelogd'] ) $Topic_image = $Global_install_url.'templates/images/off.gif';
				
			}
				
			if( $Topic['topic_reports'] > 0 && Rechten($Forum['forum_id'], 'bekijk_reports') ){
				$Tpl->Assign('TOPIC_REPORTED_IMAGE', '<a href="'.$Global_install_url.'report'.$Global_extension.'/bekijk/'.$Topic['topic_id'].'"><img src="'.$Global_install_url.'templates/images/reported.gif" alt="Dit topic is gemeld door een gebruiker"></a>');
			}
			
			
			$Topic_titel = $Txt->safeoutput($Topic['topic_naam']);
			if( strlen($Topic_titel) > 50 ) $Topic_titel = substr($Topic_titel, 0, 50); 
				
			$Topic_last_nickname = $Txt->safeoutput($Topic['last_nickname']);
			$Topic_lastpostdatum = date('d-m / H:i', $Topic['topic_lastpostdatum']);
				
			$Topic_starter_nickname = $Txt->safeoutput($Topic['starter_nickname']);
				
			if( $User_ingelogd == 1 ) $Topic_maxreplies = $User_pref_ppp;
			elseif( $User_ingelogd == 0 ) $Topic_maxreplies = 15;
			if( $Topic_maxreplies == 0 || empty($Topic_maxreplies) ) $Topic_maxreplies = 15;
				
			if ( $Topic['topic_posts'] < $Topic_maxreplies ){    
					 
				$Tpl->newBlock('TOON_AANTAL_POSTS');
				$Tpl->Assign('TOPIC_POSTS', ceil($Topic['topic_posts']) );
				
			}
						
			if( $Topic['topic_posts'] >= $Topic_maxreplies ){
				
				$Tpl->newBlock('TOON_DROPDOWN_POSTS');
				$Tpl->Assign('TOPIC_POSTS', ceil($Topic['topic_posts'] ) );
				$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
					
				$Aantal_paginas = ceil( ($Topic['topic_posts'] + 1) / $Topic_maxreplies );
					
				$Tel_paginas = 0;
					
				while( $Tel_paginas < $Aantal_paginas ){
					
					$GotoPage = $Tel_paginas + 1;
					$Tpl->newBlock('TOON_PAGINAS');
					$Tpl->Assign('TOPIC_PAGEID', $GotoPage);
					$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
					$Tel_paginas++;
						
				}
				
			} 
				
			$Tpl->GotoBlock('TOON_TOPICS');
				
			$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
			$Tpl->Assign('TOPIC_NAAM', $Topic_titel);
			$Tpl->Assign('TOPIC_LASTUSERID', $Topic['last_userid']);
			$Tpl->Assign('TOPIC_LASTUSERNAME', $Topic_last_nickname);
			$Tpl->Assign('TOPIC_STARTERUSERID', $Topic['starter_userid']);
			$Tpl->Assign('TOPIC_STARTERUSERNAME', $Topic['starter_nickname']);
			$Tpl->Assign('TOPIC_LASTPOSTDATUM', $Topic_lastpostdatum);
			$Tpl->Assign('TOPIC_LASTPOSTID', $Topic['topic_lastpostid']);
			$Tpl->Assign('TOPIC_IMAGE', $Topic_image);
			$Tpl->Assign('TOPIC_VIEWS', $Topic['topic_views']);
		
		}
	
	}

}

if ( $User_ingelogd == 1 ) $Tpl->newBlock('FORUM_BODEM_INGELOGD');
elseif ( $User_ingelogd == 0 ) $Tpl->newBlock('FORUM_BODEM_UITGELOGD');

include 'footer.php';

?>