<?php
session_start();

include 'db_connect.inc.php';

#if( file_exists('setup.php') ) header('Location: setup.php');

$Sql = new MySQLdb;
$Txt = new Text;
$Statistieken = new Statistieken;

$Sql->Connect($Connect_url, $Connect_user, $Connect_pass, $Connect_database);

$Conf_Array = array();

$Forum_Config_Query = $Sql->Query("SELECT * FROM dt5_config");
while($Config = mysql_fetch_array($Forum_Config_Query)) {

	$Conf_Array[$Config['conf_naam']] = $Config['conf_waarde'];
				
}

$Global_install_url = $Conf_Array['install_url'];
$Global_extension = $Conf_Array['extension'];

$Tpl->AssignGlobal('GLOBAL_INSTALL_URL', $Conf_Array['install_url']);
$Tpl->AssignGlobal('GLOBAL_EXTENSION', $Conf_Array['extension']);
$Tpl->AssignGlobal('GLOBAL_FORUM_NAAM', $Conf_Array['forum_naam']);

##########################################################################################################





if( !isset($_COOKIE['user_id']) || empty($_COOKIE['user_id']) || !is_numeric($_COOKIE['user_id']) || empty($_COOKIE['sessie_hash']) ){
//Geen bestaande cookies, user niet ingelogd

	$_SESSION['ingelogd'] = 0;
	$_SESSION['user_id'] = 0;
	$_SESSION['tijd_ingelogd'] = 0;
	$_SESSION['last_active'] = 0;

	
} elseif( !empty($_COOKIE['user_id']) && !empty($_COOKIE['sessie_hash']) ){
//Cookies bestaan, controlleren op waarde

	$Sessies_Query = $Sql->Query("SELECT l.*, s.*, g.* FROM dt5_leden l, dt5_sessions s, dt5_groepen g WHERE s.userid = '".$_COOKIE['user_id']."' && s.hash = '".$_COOKIE['sessie_hash']."' && l.led_id = s.userid && g.groep_id = l.led_groep");
	$Sessie = mysql_fetch_array($Sessies_Query);
	
	if( $Sql->Count($Sessies_Query) == 0 ){
	//Geen bestaande sessie gevonden, user uitgelogd
		$_SESSION['ingelogd'] = 0;
		$_SESSION['user_id'] = 0;
		$_SESSION['last_active'] = 0;
		$_SESSION['tijd_ingelogd'] = 0;
		
	} else {
	//Er is wel een bestaande sessie in de DB gevonden

			if( !isset($_SESSION['ingelogd']) ){			
			//Nog geen phpsessie aangemaakt -> phpsessie aanmaken + db sessie updaten (start tijd)
			
				$Sql->Query("UPDATE dt5_sessions SET sessie_id = '".session_id()."', tijd_lastactive = '".time()."' WHERE hash = '".$_COOKIE['sessie_hash']."' && userid = '".$_COOKIE['user_id']."'") or die( mysql_error() );

				$_SESSION['ingelogd'] = 1;
				$_SESSION['user_id'] = $_COOKIE['user_id'];
				$_SESSION['last_active'] = time();
				$_SESSION['tijd_ingelogd'] = time();
				
			} elseif( isset($_SESSION['ingelogd']) ){
			//PHPsessie bestaat -> db sessie updaten (active tijd)
				
				$Sql->Query("UPDATE dt5_sessions SET tijd_lastactive = '".time()."' WHERE sessie_id = '".session_id()."'");
				
				if( (time() - $Sessie['tijd_lastactive']) >= 900 ){
					$Sql->Query("UPDATE dt5_sessions SET tijd_ingelogd = '".$Sessie['tijd_lastactive']."' WHERE sessie_id = '".session_id()."'") or die( mysql_error() );
				}
				
				$_SESSION['ingelogd'] = 1;
				$_SESSION['user_id'] = $Sessie['led_id'];
				$_SESSION['last_active'] = $Sessie['tijd_lastactive'];
				$_SESSION['tijd_ingelogd'] = $Sessie['tijd_ingelogd'];
		
			}
			
		}
			
} 
				
if( $_SESSION['ingelogd'] == 1 ){

	//User variabelen
	$Groep_Rechten = $Sessie['groep_rechten'];
	$User_groepid = $Sessie['groep_id'];
	$User_Groep = $Sessie['groep_id'];
	$User_ingelogd = 1;
	
	//User settings variabelen
	$User_pref_ppp = $Sessie['pref_ppp'];
	$User_pref_hide = $Sessie['pref_hide'];
	$User_pref_avatars = $Sessie['pref_avatars'];
	$User_pref_signatures = $Sessie['pref_signatures'];
	$User_pref_forumuitleg = $Sessie['pref_forumuitleg'];
	$User_pref_pmnotice = $Sessie['pref_pmnotice'];
	$User_pref_quickreply = $Sessie['pref_quickreply'];
	$User_pref_qr_smileys = $Sessie['pref_qr_smileys'];
	$User_pref_qr_bbcodes = $Sessie['pref_qr_bbcodes'];
	$User_pref_bevestiging = $Sessie['pref_bevestiging'];
	$User_pref_modpanel = $Sessie['pref_modpanel'];
	
	$User_userid = $_SESSION['user_id'];
	$User_nickname = $Sessie['led_nickname'];
	
} else {

	//User variabelen
	$Groep_Rechten = '';
	$User_groepid = 1;
	$User_ingelogd = 0;
	
	//User settings variabelen
	$User_pref_avatars = 'ja';
	$User_pref_signatures = 'ja';
	$User_pref_forumuitleg = 'ja';
	$User_pref_bevestiging = 'ja';
	
	$User_userid = 0;
	$User_nickname = '';
	
}


function Rechten($ForumID, $Type){

	global $Groep_Rechten;
	
	$Groep_rechten_unser = unserialize($Groep_Rechten);
	

	if(	$Groep_rechten_unser[$ForumID][$Type] == 1){
		return true;
	} else {
		return false;
	}
	
}

//Kijken of de gebruiker verbannen is
$Ban_Query = $Sql->Query("SELECT ban_ip, ban_gebnaam FROM dt5_ban WHERE ban_gebnaam = '".$_SESSION['nickname']."' OR ban_ip = '".$_SERVER['REMOTE_ADDR']."'");
if(	$Sql->Count($Ban_Query) > 0){

	$Ban = mysql_fetch_array($Ban_Query);
	
	if(	$Ban['ban_ip'] == $_SERVER['REMOTE_ADDR']) { 
		die('Dit IPAdres ('.$_SERVER['REMOTE_ADDR'].') is verbannen van dit forum.');
	} elseif ( empty($Ban['ban_ip']) && $Ban['ban_gebnaam'] == $_SESSION['nickname']){
		$User_ingelogd = 0;
	}

}
	


$Req_URI = $_SERVER['REQUEST_URI'];

	if( strlen($Global_install_url) > 1){
	
		$URL_Explode = explode($Global_install_url, $Req_URI);
		$Global_url = explode('/', $URL_Explode[1]);
		
	} else {
		$Global_url = explode('/', substr($Req_URI, 1));
	}



$Tpl->GotoBlock('_ROOT');

include 'ubb.inc.php';
?>
