<?
include_once 'includes/core.inc.php';

$Tpl = new TemplatePower('templates/index.tpl');
$Tpl->AssignInclude('HEADER', 'templates/header.tpl');
$Tpl->AssignInclude('FOOTER', 'templates/footer.tpl');
$Tpl->prepare();

include 'includes/config.inc.php';
include 'header.php';

//Announcements ophalen
$Announcement_Query = $Sql->Query("SELECT t.topic_id, t.topic_naam, t.topic_datum, l.led_id, l.led_nickname, f.forum_groepen FROM dt5_topic t, dt5_leden l, dt5_forum f WHERE t.topic_announcement = 'ja' AND t.topic_starterid = l.led_id AND f.forum_id = t.topic_forumid ORDER BY t.topic_id DESC");
if ( $Sql->Count($Announcement_Query) > 0){

	$Tpl->newBlock('FORUM_ANNOUNCEMENTS');
	
	while ($Topic = mysql_fetch_array($Announcement_Query)){
	
		if( !empty($Topic['forum_groepen']) && substr( $Topic['forum_groepen'], ( strlen($Topic['forum_groepen']) - 1), 1) != ',') $Topic['forum_groepen'] = $Topic['forum_groepen'].',';
	
		if( !empty($Topic['forum_groepen']) && !in_array($User_groepid, explode(',', $Topic['forum_groepen']) ) ) {} else {
		
			$Tpl->newBlock('TOON_ANNOUNCEMENTS');
			$Topic_topicnaam = $Txt->safeoutput($Topic['topic_naam']);
			$Topic_username = $Txt->safeoutput($Topic['led_nickname']);
		
			$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
			$Tpl->Assign('TOPIC_NAAM', $Topic_topicnaam);
			$Tpl->Assign('TOPIC_DATUM', normaltime($Topic['topic_datum'], 'ja') );
			$Tpl->Assign('TOPIC_USERID', $Topic['led_id']);
			$Tpl->Assign('TOPIC_USERNAME', $Topic_username);
		}
		
	}
	
}

//Categorieen + fora ophalen
$num = 0;
$Forum_Query = $Sql->Query("SELECT c.*, f.forum_id, f.*, l.led_id AS last_userid, l.led_nickname AS last_nickname
							FROM dt5_categorie c, dt5_forum f, dt5_leden l WHERE c.cat_id = f.forum_catid AND l.led_id = f.forum_lastuserid 
							GROUP BY c.cat_sort, c.cat_id, f.forum_sort, f.forum_id");

while ($Forum = mysql_fetch_array($Forum_Query)){

	$Tpl->newBlock('FORUM_BODY');
	
	$Cat_id = $Forum['cat_id'];
	$Cat_naam = $Txt->safeoutput($Forum['cat_naam']);

	$Forum_naam = $Txt->safeoutput($Forum['forum_naam']);
	$Forum_uitleg = $Txt->safeoutputbr($Forum['forum_uitleg']);
	$Forum_moderator = $Txt->safeoutput($Forum['forum_moderator']);
	if ( empty($Forum_moderator) ) $Forum_moderator = '-';
	
	$Last_nickname = ( !empty($Forum['last_nickname']) && $Forum['last_nickname'] != 'None' ) ? $Txt->safeoutput($Forum['last_nickname']) : '-';
	
	$Last_date = (!empty($Forum['forum_lastpostdatum'])) ? date('d-m / H:i', $Forum['forum_lastpostdatum']) : '-';
	
	$Groepen_Array = $Forum['forum_groepen'];
	
	if(	empty($Forum['forum_groepen']) ){
		$Toon_Forums = true;
	} elseif( !empty($Forum['forum_groepen']) && $User_ingelogd == 0 ){
		$Toon_Forums = false;
	} elseif( !empty($Forum['forum_groepen']) && $User_ingelogd == 1 ){
	
		if( !empty($Groepen_Array) && substr( $Groepen_Array, ( strlen($Groepen_Array) - 1), 1) != ',') $Groepen_Array = $Groepen_Array.',';
		if( !empty($Groepen_Array) && !in_array($User_groepid, explode(',', $Groepen_Array) ) ){
			$Toon_Forums = false;
		} else {
			$Toon_Forums = true;
		}
	}
	
	if(	$Toon_Forums == true ){
	
		if ($num != $Cat_id){
				
				$Tpl->newBlock('TOON_CATEGORIE');
				$Tpl->Assign('CATEGORIE_NAAM', $Cat_naam);
				$Tpl->Assign('CATEGORIE_ID', $Cat_id);
			
		}
	
		$Tpl->newBlock('TOON_SUBFORUM');
			
		if ($Forum['forum_lastpostdatum'] >= $Sessie['tijd_ingelogd'] ) $Forum_image = 'templates/images/on.gif';
		elseif ($Forum['forum_lastpostdatum'] < $Sessie['tijd_ingelogd'] ) $Forum_image = 'templates/images/off.gif';
		
		$Tpl->Assign('CAT_ID', $Cat_id);
		$Tpl->Assign('FORUM_ID', $Forum['forum_id']);
		$Tpl->Assign('FORUM_NAAM', $Forum_naam);
		$Tpl->Assign('FORUM_MODERATOR', $Forum_moderator);
		$Tpl->Assign('FORUM_POSTS', $Forum['forum_posts']);
		$Tpl->Assign('FORUM_TOPICS', $Forum['forum_topics']);
		$Tpl->Assign('FORUM_LASTUSERID', $Forum['last_userid']);
		$Tpl->Assign('FORUM_LASTUSERNAME', $Last_nickname);
		$Tpl->Assign('FORUM_LASTPOSTDATE', $Last_date);
		$Tpl->Assign('FORUM_IMAGE', $Forum_image);
		
		if( $User_pref_forumuitleg == 'ja' ){
			$Tpl->newBlock('TOON_FORUMUITLEG');
			$Tpl->Assign('FORUM_UITLEG', $Forum_uitleg);
		}
		
	}
	
	$num = $Cat_id;
	
}

	$Tpl->GotoBlock('_ROOT');
	
//Statistieken regelen
$Stats = $Statistieken->Toon();

	$Tpl->newBlock('TOON_STATISTIEKEN');
	
	$Stats_Posts_Vandaag = $Sql->Query("SELECT COUNT(post_id) AS tel_posts FROM dt5_posts WHERE FROM_UNIXTIME(post_datum, '%d-%m-%Y') = '".date('d-m-Y')."'");
	$Posts_Vandaag = mysql_fetch_array($Stats_Posts_Vandaag);
	$Tpl->Assign('STATS_LEDEN', $Stats['stats_leden']);
	$Tpl->Assign('STATS_POSTS', $Stats['stats_posts']);
	$Tpl->Assign('STATS_TOPICS', $Stats['stats_topics']);
	$Tpl->Assign('STATS_POSTS_VANDAAG', $Posts_Vandaag['tel_posts']);
	
//Laatste 5 leden ophalen

$Temp_Count = 0;
$Last_Users_Array = array();

$Last_Users_Query = $Sql->Query("SELECT led_id, led_nickname FROM dt5_leden WHERE led_nickname != 'None' && led_nickname != '' ORDER BY led_id DESC LIMIT 5");
while ($User = mysql_fetch_array($Last_Users_Query)){

	$Tpl->newBlock('TOON_NIEUWE_LEDEN');
	
	$User_nickname = $Txt->safeoutput($User['led_nickname']);
	
	if( $Temp_Count < 4 ) $User_nickname = $User_nickname.',';
	
	$Tpl->Assign('USER_ID', $User['led_id']);
	$Tpl->Assign('USER_NICKNAME', $User_nickname);
		  
	$Temp_Count++;
	
}


//Online leden+gasten ophalen
$Tijd_Nu = time() - 900;


$Online_Users_Query = $Sql->Query("SELECT DISTINCT s.userid, s.tijd_lastactive, l.led_nickname, l.led_id, l.pref_hide, g.groep_kleur FROM dt5_sessions s, dt5_leden l, dt5_groepen g WHERE s.tijd_lastactive > '".$Tijd_Nu."' && l.led_id = s.userid && g.groep_id = l.led_groep GROUP BY s.userid ORDER BY s.userid");
			
$Online_Gasten_Query = $Sql->Query("SELECT DISTINCT user_ip FROM dt5_sessions WHERE userid = '' && tijd_lastactive > '".$Tijd_Nu."'");

$Totaal_online_users = $Sql->Count($Online_Users_Query);
$Totaal_online_gasten = $Sql->Count($Online_Gasten_Query);
$Totaal_online = $Totaal_online_users + $Totaal_online_gasten;

if ($Stats['stats_usersonline'] < $Totaal_online_users){
	$Sql->Query("UPDATE dt5_stats SET stats_usersonline = '".$Totaal_online_users."', stats_usersdatum = '".time()."'");
}

$Tpl->newBlock('ONLINE_LEDEN');
$Tpl->Assign('ONLINE_USERS', $Totaal_online);
$Tpl->Assign('ONLINE_RECORD', $Stats['stats_usersonline']);
$Tpl->Assign('ONLINE_RECORDDATUM', normaltime($Stats['stats_usersdatum'], 'ja') );

$Online_Users = array();

while ($Online = mysql_fetch_array($Online_Users_Query)){

	if( $Online['pref_hide'] == 'nee' ){
	
		$Online_nickname = $Txt->safeoutput($Online['led_nickname']);
		$Online_Users[] = '<a href="'.$Global_install_url.'user'.$Global_extension.'/profiel/'.$Online['led_id'].'" style="color: '.$Online['groep_kleur'].';">'.	$Online_nickname.'</a>';
	
	}
	
}

$Tpl->Assign('TOON_ONLINE_USERS', implode(', ', $Online_Users) );


include 'footer.php';

?>