<?
include_once 'includes/db_connect.inc.php';
include_once 'includes/core.inc.php';

$Tpl = new TemplatePower('templates/setup.tpl');
$Sql = new MySQLdb;

$Tpl->AssignInclude('HEADER', 'templates/header.tpl');
$Tpl->AssignInclude('FOOTER', 'templates/footer.tpl');
$Tpl->prepare();

$Sql->Connect($Connect_url, $Connect_user, $Connect_pass, $Connect_database);

if( empty($Connect_user) ){
	$Tpl->newBlock('TOON_MELDING');
	$Tpl->Assign('MELDING', 'Je moet wel eerst de databasegegevens invullen in het bestand \'includes/db_connect.inc.php\' en uploaden voordat je de setup kunt openenen!');
}

@mysql_connect($Connect_url, $Connect_user, $Connect_pass) or die('Kan geen verbinding maken met de database server. Vul de juiste gegevens in.');
@mysql_select_db($Connect_database) or die('Kan de database niet vinden. Vul de juiste databasenaam in.');

if( $_GET['s'] != 2 ){

	if( isset($_POST['submit_stap1']) ){

		if( empty($_POST['install_url']) || empty($_POST['admin_email']) || empty($_POST['forum_naam']) || empty($_POST['forum_url']) ){
		
			$Tpl->newBlock('TOON_MELDING');
			$Tpl->Assign('MELDING', 'Je moet wel een Forumnaam, Install-url, Forum-url en Admin emailadres invullen. Klik <a href="javascript:history.go(-1)">hier</a> om terug te gaan.');
			
		} else {

//Tabellen toevoegen
			$Sql->Query("CREATE TABLE `dt5_ban` (
			  `ban_id` int(9) unsigned NOT NULL auto_increment,
			  `ban_door` int(5) NOT NULL default '0',
			  `ban_datum` int(15) NOT NULL default '0',
			  `ban_gebnaam` varchar(35) NOT NULL default '',
			  `ban_ip` varchar(25) NOT NULL default '',
			  PRIMARY KEY  (`ban_id`),
			  KEY `ban_door` (`ban_door`)
			) TYPE=MyISAM");
			
			$Sql->Query("CREATE TABLE `dt5_banners` (
			  `banner_id` int(9) unsigned NOT NULL auto_increment,
			  `banner_naam` varchar(25) NOT NULL default '',
			  `banner_url` varchar(150) NOT NULL default '',
			  `banner_image` varchar(200) NOT NULL default '',
			  `banner_kliks` int(5) NOT NULL default '0',
			  `banner_positie` enum('boven','onder','beide') NOT NULL default 'onder',
			  PRIMARY KEY  (`banner_id`)
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_categorie` (
			  `cat_id` int(9) unsigned NOT NULL auto_increment,
			  `cat_naam` varchar(45) NOT NULL default '',
			  `cat_sort` int(3) NOT NULL default '0',
			  PRIMARY KEY  (`cat_id`)
			) TYPE=MyISAM");
			
			$Sql->Query("CREATE TABLE `dt5_config` (
			  `conf_naam` varchar(25) NOT NULL default '',
			  `conf_waarde` mediumtext NOT NULL
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_faqs` (
			  `faq_id` int(9) unsigned NOT NULL auto_increment,
			  `faq_naam` varchar(45) NOT NULL default '',
			  `faq_titel` varchar(30) NOT NULL default '',
			  `faq_inleiding` varchar(255) NOT NULL default '',
			  `faq_bericht` longtext NOT NULL,
			  `faq_groepen` varchar(100) NOT NULL default '',
			  PRIMARY KEY  (`faq_id`)
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_favorieten` (
			  `topic_id` int(9) NOT NULL default '0',
			  `user_id` int(9) NOT NULL default '0',
			  `email` enum('ja','nee') NOT NULL default 'nee'
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_forum` (
			  `forum_id` int(9) unsigned NOT NULL auto_increment,
			  `forum_naam` varchar(45) NOT NULL default '',
			  `forum_sort` int(2) NOT NULL default '0',
			  `forum_catid` int(9) NOT NULL default '0',
			  `forum_uitleg` varchar(255) NOT NULL default '',
			  `forum_moderator` varchar(50) NOT NULL default '',
			  `forum_afkorting` varchar(10) NOT NULL default '',
			  `forum_posts` int(5) NOT NULL default '0',
			  `forum_topics` int(5) NOT NULL default '0',
			  `forum_lastuserid` int(5) NOT NULL default '1',
			  `forum_lastpostdatum` int(15) NOT NULL default '0',
			  `forum_groepen` varchar(100) NOT NULL default '',
			  `forum_maxtopics` int(2) NOT NULL default '0',
			  PRIMARY KEY  (`forum_id`),
			  KEY `forum_lastuserid` (`forum_lastuserid`),
			  KEY `forum_catid` (`forum_catid`)
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_groepen` (
			  `groep_id` int(9) unsigned NOT NULL auto_increment,
			  `groep_titel` varchar(50) NOT NULL default '',
			  `groep_sort` int(3) NOT NULL default '0',
			  `groep_beschrijving` varchar(255) NOT NULL default '',
			  `groep_kleur` varchar(7) NOT NULL default '',
			  `groep_naam` varchar(25) NOT NULL default '',
			  `groep_leden` int(5) NOT NULL default '0',
			  `groep_rechten` mediumtext NOT NULL,
			  PRIMARY KEY  (`groep_id`)
			) TYPE=MyISAM");
			
			$Sql->Query("CREATE TABLE `dt5_leden` (
			  `led_id` int(9) unsigned NOT NULL auto_increment,
			  `led_nickname` varchar(15) NOT NULL default '',
			  `led_wachtwoord` varchar(32) NOT NULL default '',
			  `led_email` varchar(100) NOT NULL default '',
			  `led_naam` varchar(50) NOT NULL default '',
			  `led_woonplaats` varchar(50) NOT NULL default '',
			  `led_website` varchar(100) NOT NULL default '',
			  `led_msn` varchar(150) NOT NULL default '',
			  `led_skype` varchar(150) NOT NULL default '',
			  `led_icq` varchar(15) NOT NULL default '',
			  `led_groep` smallint(2) NOT NULL default '0',
			  `led_regdatum` int(11) NOT NULL default '0',
			  `led_posts` mediumint(9) NOT NULL default '0',
			  `led_avatar` varchar(110) NOT NULL default '',
			  `led_signature` varchar(80) NOT NULL default '',
			  `led_active` enum('ja','nee') NOT NULL default 'nee',
			  `led_profiel` mediumtext NOT NULL default '',
			  `pref_hide` enum('ja','nee') NOT NULL default 'nee',
			  `pref_avatars` enum('ja','nee') NOT NULL default 'ja',
			  `pref_signatures` enum('ja','nee') NOT NULL default 'ja',
			  `pref_ppp` int(2) NOT NULL default '25',
			  `pref_showemail` enum('ja','nee') NOT NULL default 'ja',
			  `pref_quickreply` enum('ja','nee') NOT NULL default 'ja',
			  `pref_qr_smileys` enum('ja','nee') NOT NULL default 'ja',
			  `pref_qr_bbcodes` enum('ja','nee') NOT NULL default 'nee',
			  `pref_forumuitleg` enum('ja','nee') NOT NULL default 'ja',
			  `pref_pmnotice` enum('tekst','popup','inbox') NOT NULL default 'tekst',
			  `pref_bevestiging` enum('ja','nee') NOT NULL default 'ja',
			  `pref_modpanel` enum('ja','nee') NOT NULL default 'nee',
			  `led_nieuwpms` int(2) NOT NULL default '0',
			  `led_pushpms` int(2) NOT NULL default '0',
			  PRIMARY KEY  (`led_id`),
			  KEY `led_groep` (`led_groep`),
			  KEY `led_groep_2` (`led_groep`),
			  FULLTEXT KEY `led_nickname` (`led_nickname`)
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_namen` (
			  `naam_id` int(8) unsigned NOT NULL auto_increment,
			  `naam_naam` varchar(25) NOT NULL default '',
			  `naam_door` int(5) NOT NULL default '0',
			  PRIMARY KEY  (`naam_id`)
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_notities` (
			  `note_id` int(9) unsigned NOT NULL auto_increment,
			  `note_userid` int(5) NOT NULL default '0',
			  `note_door` int(5) NOT NULL default '0',
			  `note_datum` int(15) NOT NULL default '0',
			  `note_bericht` mediumtext NOT NULL default '',
			  `note_edit` varchar(150) NOT NULL default '',
			  PRIMARY KEY  (`note_id`)
			) TYPE=MyISAM");
			
			$Sql->Query("CREATE TABLE `dt5_pm` (
			  `pm_id` int(9) unsigned NOT NULL auto_increment,
			  `pm_titel` varchar(45) NOT NULL default '',
			  `pm_voor` int(5) NOT NULL default '0',
			  `pm_door` int(5) NOT NULL default '0',
			  `pm_datum` int(15) NOT NULL default '0',
			  `pm_gezien` enum('ja','nee') NOT NULL default 'nee',
			  `pm_bericht` mediumtext NOT NULL default '',
			  `pm_pushmessage` enum('ja','nee') NOT NULL default 'nee',
			  PRIMARY KEY  (`pm_id`),
			  KEY `pm_voor` (`pm_voor`),
			  KEY `pm_door` (`pm_door`)
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_posts` (
			  `post_id` int(9) unsigned NOT NULL auto_increment,
			  `post_topicid` mediumint(5) NOT NULL default '0',
			  `post_posterid` mediumint(5) NOT NULL default '0',
			  `post_datum` int(15) NOT NULL default '0',
			  `post_bericht` longtext NOT NULL default '',
			  `post_edit_nickname` varchar(35) NOT NULL default '0',
			  `post_edit_userid` int(9) NOT NULL default '0',
			  `post_edit_datum` int(15) NOT NULL default '0',
			  `post_posterip` varchar(25) NOT NULL default '0',
			  PRIMARY KEY  (`post_id`),
			  KEY `post_topicid` (`post_topicid`),
			  KEY `post_posterid` (`post_posterid`)
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_reports` (
			  `rep_id` int(9) unsigned NOT NULL auto_increment,
			  `rep_topicid` int(9) NOT NULL default '0',
			  `rep_posterid` int(9) NOT NULL default '0',
			  `rep_bericht` mediumtext NOT NULL default '',
			  `rep_datum` int(15) NOT NULL default '0',
			  PRIMARY KEY  (`rep_id`),
			  KEY `rep_topicid` (`rep_topicid`,`rep_posterid`)
			) TYPE=MyISAM");
			
			
			$Sql->Query("CREATE TABLE `dt5_sessions` (
			  `sessie_id` varchar(32) NOT NULL default '',
			  `hash` varchar(32) NOT NULL default '',
			  `userid` int(9) NOT NULL default '0',
			  `ingelogd` enum('ja','nee') NOT NULL default 'ja',
			  `tijd_ingelogd` int(15) NOT NULL default '0',
			  `tijd_lastactive` int(15) NOT NULL default '0',
			  `user_ip` varchar(25) NOT NULL default '',
			  `sessie_naam` varchar(25) NOT NULL default '',
			  KEY `userid` (`userid`)
			) TYPE=MyISAM");
			
			$Sql->Query("CREATE TABLE `dt5_stats` (
			  `stats_leden` int(9) NOT NULL default '0',
			  `stats_topics` int(9) NOT NULL default '0',
			  `stats_posts` int(9) NOT NULL default '0',
			  `stats_usersonline` int(5) NOT NULL default '0',
	
			  `stats_usersdatum` int(15) NOT NULL default '0'
			) TYPE=MyISAM");
			
			$Sql->Query("CREATE TABLE `dt5_topic` (
			  `topic_id` int(9) unsigned NOT NULL auto_increment,
			  `topic_naam` varchar(45) NOT NULL default '',
			  `topic_forumid` int(5) NOT NULL default '0',
			  `topic_starterid` int(5) NOT NULL default '0',
			  `topic_status` enum('closed','normaal','sticky','stickyclosed','faq') NOT NULL default 'normaal',
			  `topic_posts` int(5) NOT NULL default '0',
			  `topic_views` int(5) NOT NULL default '0',
			  `topic_reports` int(2) NOT NULL default '0',
			  `topic_announcement` enum('ja','nee') NOT NULL default 'nee',
			  `topic_datum` int(15) NOT NULL default '0',
			  `topic_lastpostdatum` int(15) NOT NULL default '0',
			  `topic_lastuserid` int(5) NOT NULL default '1',
			  `topic_lastpostid` int(9) NOT NULL default '0',
			  PRIMARY KEY  (`topic_id`),
			  KEY `topic_lastuserid` (`topic_lastuserid`),
			  KEY `topic_starterid` (`topic_starterid`),
			  FULLTEXT KEY `topic_naam` (`topic_naam`)
			) TYPE=MyISAM");
	
	//Standaard data in DB zetten
	
			$Forum_naam = addslashes($_POST['forum_naam']);
			$Install_url = addslashes($_POST['install_url']);
			$Forum_url = addslashes($_POST['forum_url']);
			$Extension = addslashes($_POST['extension']);
			$Admin_email = addslashes($_POST['admin_email']);
			
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('forum_naam', '".$Forum_naam."')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('install_url', '".$Install_url."')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('extension', '".$Extension."')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('pref_regmethod', 'email')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('admin_email', '".$Admin_email."')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('online_record', '0')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('online_recorddatum', '0')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('floodtime_reply', '43200')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('floodtime_newtopic', '900')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('floodtime_newpm', '120')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('email_registratie', 'Je bent succesvol geregistreerd op {FORUM_NAAM}\r\nJe kunt inloggen met de volgende gegevens:\r\n================================\r\nGebruikersnaam: {USER_NICKNAME}\r\nWachtwoord: {USER_WACHTWOORD}\r\n================================\r\n\r\nGegroet,{FORUM_NAAM}')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('email_passmailer', 'Je hebt een nieuw wachtwoord aangevraagd op {FORUM_NAAM}\r\nJe kunt inloggen met het volgende wachtwoord:\r\n================================\r\nWachtwoord: {USER_WACHTWOORD}\r\n================================\r\n				\r\nGegroet,{FORUM_NAAM}')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('reggroep', '1')");
			$Sql->Query("INSERT INTO `dt5_config` VALUES ('forum_url', '".$Forum_url."')");
			
			
			$Sql->Query("INSERT INTO dt5_leden (led_nickname) VALUES ('None')");
			
			$Sql->Query("INSERT INTO `dt5_faqs` VALUES (1, 'index', 'Index', 'Dit is de index van de FAQ.', 'Hieronder vind je de Main FAQ van het forum. Faq is de afkorting voor Frequently Asked Questions oftewel veelgestelde vragen.\r\n[hr]\r\n\r\n[b]Moet ik ingelogd zijn om berichten te posten ?[/b]\r\nJa om berichten te kunnen posten is het noodzakelijk om een account te hebben en ingelogd te zijn, dit geld overigens ook om topics te openen en om priv berichten te kunnen verzenden en ontvangen. Een account kun je gemakkelijk, snel en gratis aanmaken via de [uri=user.php/registreren]registratie pagina[/uri].\r\n\r\n[b]Hoe moet ik me registreren en inloggen ?[/b]\r\nRegistreren is erg gemakkelijk te doen via de [uri=user.php/registreren]registratie pagina[/uri]. De registratie pagina kun je bereiken door in het menu bovenaan het forum op \"Registreren\" te klikken. Tijdens de registratie is het de bedoeling dat je een nickname kiest die nog niet in gebruik is. Pas Op, deze nickname zal je niet kunnen wijzigen. Ook moet je een geldig emailadres invullen. Dat emailadres word gebruikt om het wachtwoord van je account naar toe te sturen. Dan kun je inloggen met de gegevens die in de email staan. Later kun je dat wachtwoord wijzigen door bovenaan het forum op \'[uri=user.php/profiel]profiel[/uri]\' te klikken. Als de Administrator/beheerder van het forum er voor heeft gekozen om de functie van de pass-mail uit te schakelen zul je meteen je wachtwoord moeten invullen. Op deze manier zul je ook geen e-mail ontvangen met daar je wachtwoord in.\r\n\r\n[b]Ik ben mijn wachtwoord kwijt, kan ik een nieuwe krijgen?[/b]\r\nJa dit is mogelijk. Op de [uri=user.php/inloggen]inlog[/uri] pagina kun je naast het vakje van wachtwoord klikken op \"Wachtwoord vergeten?\". In de pagina die je hierna krijgt moet je je e-mail adres invullen, er zal dan vanzelf gekeken worden welke nickname daarbij hoort en naar jou email adres zal dan het nieuwe wachtwoord opgestuurd worden.\r\n\r\n\r\n[b]Persoonlijke instellingen[/b]\r\nOp dit forum zijn er zogenaamde \"Persoonlijke Instellingen\". Dit zijn instellingen die alleen voor jouw account gelden. Zo zijn er instellingen hoeveel topics je wilt weergeven, signaturen weergeven maar ook een aantal andere. De uitleg van de functies staat hier wat uitgebreider.\r\n[list]\r\n[u]Aantal posts per pagina[/u]: [i]Hier kun je een getal invullen, op een pagina zullen dan standaard dat aantal topics/posts staan.[/i]\r\n[u]Verbergen op index[/u]:[i]Als je dit aanvinkt zul je op de index pagina niet als online worden weergegeven.[/i]\r\n[u]Toon avatars[/u]: [i]Hier kun je kiezen of je wel of geen avaters in de topics wilt zien.[/i]\r\n[u]Toon signatures[/u]: [i]hier kun je kiezen of je wel of geen Signatures wilt laten zien in de posts.[/i]\r\n[u]Toon bevestiging schermen[/u]: [i]Hier kun je de bevestigingsschermen uitzetten. De bevestigingsschermen zijn meldingen die jou vertellen dat je een actie hebt uitgevoerd, bijvoorbeeld het plaatsen van een topic.[/i]\r\n[u]Toon forumuitleg[/u]: [i]Hier kan je kiezen of je de uitleg op de index bij de verschillende subforums wel of niet wilt zien.[/i]\r\n[u]Notificatie bij nieuw privbericht[/u]: [i]Hier kun je instellen op welke manier er duidelijk gemaakt moet worden dat je een nieuw priv bericht hebt gekregen.[/i]\r\n[hr][u]Toon quickreply[/u]: [i]Dit kan je uitvinken als je standaard geen Quick Reply wilt zien.[/i]\r\n[u]Toon Smileybar[/u]: [i]Dit kan je uitvinken als je standaard de smileybar niet wilt zien.[/i]\r\n[/list]\r\n\r\n[b]Kan ik mijn account verwijderen ?[/b]\r\nNee je kunt je account niet verwijderen. Het is dus nodzakelijk om er tijdens de registratie al aan te denken dat je een goede nickname kiest.\r\n\r\n\r\n[b]Icoontjes in een topic[/b]\r\nIn het topic kun je verschillende soorten Icoontjes vinden. In dit stukje van de FAQ staat een korte uitleg over die Icoontjes.\r\n\r\n[list]\r\n[image]briefje.gif[/image]: [i]Hier kun je het topic in je persoonlijke favorieten zetten.[/i]\r\n[image]edit.gif[/image]: [i]Hier kun je je post wijzigen[/i]\r\n[image]report.gif[/image]: [i]Hier kun je het topic rapporteren als het niet volgens de postrichtlijnen loopt.[/i]\r\n[image]profiel.gif[/image]: [i]Bekijk het profiel van de gebruiker.[/i]\r\n[/list]\r\n\r\n[b][uri=faq.php/ubb]BBCodes [/uri][/b]\r\nOp het forum maken we gebruik van zogenaamde Ubb Codes. Deze codes zijn vervangers voor html omdat html niet mogelijk is. Meer informatie over de UbbCodes kan je [uri=faq.php/ubb]hier[/uri] vinden.\r\n\r\n[b]Wat zijn de verschillende soorten topics?[/b]\r\nHieronder staat een uitleg bij de verschillende soorten topics\r\n[list]\r\n[image]speciaal.gif[/image]: [i]Dit geeft aan dat het topic een Speciale functie heeft. Het tekentje geeft meestal een Sub FAQ aan.[/i]\r\n[image]on.gif[/image]: [i]Dit heeft aan dat er een reactie in het topic is geplaatst.[/i]\r\n[image]off.gif[/image]: [i]Dit is eigenlijk een gewoon topic, er is geen reactie geplaatst.[/i] \r\n[image]closed.gif[/image]: [i]Dit is het tekentje dat er komt te staan als een topic gesloten is. Reageren is hier niet meer mogelijk.[/i]\r\n[image]sticky.gif[/image]:[i]Dit tekentje betekend dat een topic Sticky is. Dit wilt zeggen een belangrijke mededeling of een belangrijk topic. Een sticky kan zowel open als gesloten zijn.[/i]\r\n[/list]\r\n\r\n[b]Wat kan ik met de TopicReports?[/b]\r\nTopic report is een report functie. Via Topic report kun je een topic anoniem melden als deze niet volgens de regels loopt. Jouw meldingen zijn alleen door de Crew te zien. Je kunt in de TopicReport komen door op [image]report.gif[/image] te klikken. De Administrators en de Moderators zullen deze Reports kunnen lezen en dan als zij het eens zijn met jouw mening het topic sluiten.\r\n\r\n[b][uri=faq.php/smileys]Smiley\'s[/uri][/b]\r\nHierin vind je een overzicht van alle smileys die je kunt gebruiken of het forum. Het is met smileys niet de bedoeling dat je er misbruik van maakt door hele reeksen smileys achter elkaar te posten.\r\n\r\n[b]Wat zijn Administrators en Moderator\'s?[/b]\r\nDe Administrators en Moderators van het forum vormen samen de Crew. De Crew heeft toegang tot het bewerken van alle posts, sluiten van topic maar ook het aanpassen van het forum en mensen een waarschuwing of een ban geven. De Administrators en Moderators kun je herkennen aan de kleur.\r\n[hr]', '')") or die( mysql_error() );
			$Sql->Query("INSERT INTO `dt5_faqs` VALUES (2, 'ubb', 'UBB Codes', 'In deze FAQ staat een overzicht van alle beschikbare ubb-codes.', 'Omdat het gebruik van HTMLcodes niet is toegestaan, zijn er bepaalde UBB Codes. Dit zijn soort HTML codes, die je kunt gebruiken om bijvoorbeeld tekst te onderlijnen of schuin te zetten. Hieronder staat een overzicht van de UBBcodes die zijn te gebruiken.\r\n\r\n{!TOON_UBB_CODES}', '')");
			$Sql->Query("INSERT INTO `dt5_faqs` VALUES (3, 'smileys', 'Smileys', 'Deze FAQ laat alle smiley mogelijkheden zien.', 'Hieronder kun je alle smileys met de bijbehorende code zien.\r\n\r\n{!TOON_SMILEY_CODES}', '')");
			
			
			$Sql->Query("INSERT INTO `dt5_groepen` VALUES (1, '', 3, 'De normale leden van dit forum', '#000000', 'Normale leden', 0, '')");
			$Sql->Query("INSERT INTO `dt5_groepen` VALUES (2, 'Moderator', 2, 'Moderators leiden het forum in goede banen', '#CC6600', 'Moderator\'s', 0, 'a:1:{s:6:\"global\";a:13:{s:10:\"ap_toegang\";i:1;s:9:\"ap_forums\";i:1;s:14:\"ap_categorieen\";i:1;s:10:\"ap_groepen\";i:1;s:10:\"ap_banners\";i:1;s:9:\"ap_bannen\";i:1;s:8:\"ap_notes\";i:1;s:8:\"ap_namen\";i:1;s:14:\"ap_editprofiel\";i:1;s:9:\"ap_opties\";i:1;s:15:\"ap_statistieken\";i:1;s:7:\"ap_faqs\";i:1;s:14:\"ap_pushmessage\";i:1;}}')");
			$Sql->Query("INSERT INTO `dt5_groepen` VALUES (3, 'Administrator', 1, 'Administrators hebben de leiding over het forum', '#008000', 'Administrator\'s', 1, 'a:1:{s:6:\"global\";a:13:{s:10:\"ap_toegang\";i:1;s:9:\"ap_forums\";i:1;s:14:\"ap_categorieen\";i:1;s:10:\"ap_groepen\";i:1;s:10:\"ap_banners\";i:1;s:9:\"ap_bannen\";i:1;s:8:\"ap_notes\";i:1;s:8:\"ap_namen\";i:1;s:14:\"ap_editprofiel\";i:1;s:9:\"ap_opties\";i:1;s:15:\"ap_statistieken\";i:1;s:7:\"ap_faqs\";i:1;s:14:\"ap_pushmessage\";i:1;}}')");
			
			
			$Sql->Query("INSERT INTO `dt5_stats` VALUES ('1', '0', '0', '0', '".time()."')");
		
			$Tpl->newBlock('TOON_MELDING');
			$Tpl->Assign('MELDING', 'De installatie van je forum is nu halverwege. Het enigste wat nu nog moet gebeuren is het aanmaken van jouw account. <br><b><a href="setup.php?s=2">Klik hier om verder te gaan</a></b>');
		
		}
		
	} else {
		
		$Install_url = $_SERVER['REQUEST_URI'];
		$Install_url = str_replace('setup.php', '', $Install_url);
		$Install_url = str_replace('setup', '', $Install_url);

		$Tpl->newBlock('TOON_SETUP_FORMULIER');
		$Tpl->Assign('INSTALL_URL', $Install_url);

	}
	
} elseif( $_GET['s'] == 2 ){

	if( isset($_POST['submit_stap2']) ){
	
		if( empty($_POST['admin_nickname']) || empty($_POST['admin_email']) || empty($_POST['admin_wachtwoord']) ){
		
			$Tpl->newBlock('TOON_MELDING');
			$Tpl->Assign('MELDING', 'Je moet wel alle velden invullen. Klik <a href="javascript:history.go(-1)">hier</a> om terug te gaan.');
			
		} elseif( eregi('^([0-9a-zA-Z]([-.\w]*[0-9a-zA-Z])*@([0-9a-zA-Z][-\w]*[0-9a-zA-Z]\.)+[a-zA-Z]{2,9})$', $_POST['admin_email']) ){ 
			
			$Tpl->newBlock('TOON_MELDING');
			$Tpl->Assign('MELDING', 'Je moet wel een geldig emailadres invullen.');
			
		} else {
		
			$User_nickname = addslashes($_POST['admin_nickname']);
			$User_email = addslashes($_POST['admin_email']);
			$User_wachtwoord = md5($_POST['admin_wachtwoord']);
			
			$Sql->Query("INSERT INTO dt5_leden (led_nickname, led_email, led_wachtwoord, led_regdatum, led_groep) VALUES ('".$User_nickname."', '".$User_email."', '".$User_wachtwoord."', '".time()."', '3')") or die( mysql_error() );
			
			$Tpl->newBlock('TOON_MELDING');
			$Tpl->Assign('MELDING', 'Je forum is succesvol geinstalleerd. Je moet nu het bestand setup.php van de webserver verwijderen voordat je verder kunt gaan.<br><b><a href="index.php">Klik hier om terug te gaan</a></b>');
			
		}
		
	} else {
	
		$Tpl->newBlock('TOON_ADMIN_FORMULIER');
	
	}
	
} 

$Tpl->PrintToScreen();
?>