<?
include_once 'includes/core.inc.php';

$Tpl = new TemplatePower('templates/zoeken.tpl');
$Tpl->AssignInclude('HEADER', 'templates/header.tpl');
$Tpl->AssignInclude('FOOTER', 'templates/footer.tpl');
$Tpl->prepare();

include 'includes/config.inc.php';
include 'header.php';

if( isset($_POST['submit']) || isset($_GET['submit']) ){

	if( empty($_GET['term']) || strlen($_GET['term']) < 4 ){
	
		$Tpl->newBlock('TOON_MELDING');
		$Tpl->Assign('MELDING', 'Je moet wel een zoekterm van meer dan 3 tekens invullen!');
		
	} else {
	
		$ZoekTerm = addslashes($_GET['term']);
		$ZoekType = addslashes($_GET['type']);
		$Sorteren = addslashes($_GET['sorteren']);
		$Sorttype = addslashes($_GET['sorttype']);
		$ForumID = addslashes($_GET['forum']);
		$TopicStatus = addslashes($_GET['status']);
		$DisplayFrom = 0;
		
		if( empty($Sorteren) ) $Sorteren = 't.topic_lastpostdatum';
		if( empty($Sorttype) ) $Sorttype = 'DESC';
		
		if( $Sorteren == 'titel' ) $Sorteren = 't.topic_naam';
		elseif( $Sorteren == 'posts' ) $Sorteren = 't.topic_posts';
		elseif( $Sorteren == 'datum' ) $Sorteren = 't.topic_datum';
		elseif( $Sorteren == 'lastpost' ) $Sorteren = 't.topic_lastpostdatum';
		
		if( $ZoekType == 'topic' ){
		
			$Zoek_Query = "SELECT t.*, f.forum_id, f.forum_naam, f.forum_groepen, f.forum_afkorting, l.led_id AS starter_id, l.led_nickname AS starter_nickname, lp.led_id AS last_id, lp.led_nickname AS last_nickname FROM dt5_topic t, dt5_forum f, dt5_leden l, dt5_leden lp WHERE MATCH(t.topic_naam) AGAINST ('".$ZoekTerm."') && f.forum_id = t.topic_forumid && l.led_id = t.topic_starterid && lp.led_id = t.topic_lastuserid ";
			
			if( !empty($ForumID) ){
				$Zoek_Query .= "&& t.topic_forumid = '".$ForumID."' ";
			}
			
			if( !empty($TopicStatus) ){
				
				if( $TopicStatus == 'normaal' ) $Zoek_Query .= "&& t.topic_status = 'normaal' ";
				if( $TopicStatus == 'closed' ) $Zoek_Query .= "&& t.topic_status = 'closed' ";
				if( $TopicStatus == 'sticky' ) $Zoek_Query .= "&& t.topic_status = 'sticky' || t.topic_status = 'stickyclosed' ";
				if( $TopicStatus == 'special' ) $Zoek_Query .= "&& t.topic_status = 'faq' ";
				
			}
				
			$Zoek_Query .= "ORDER BY ".$Sorteren." ".$Sorttype." LIMIT ".$DisplayFrom.", 50";
			
		} elseif( $ZoekType == 'user' ){
		
			$Zoek_Query = "SELECT p.post_id, p.post_posterid, t.*, f.forum_id, f.forum_naam, f.forum_groepen, f.forum_afkorting, u.led_nickname, l.led_id AS starter_id, l.led_nickname AS starter_nickname, lp.led_id AS last_id, lp.led_nickname AS last_nickname FROM dt5_posts p, dt5_topic t, dt5_forum f, dt5_leden l, dt5_leden lp, dt5_leden u WHERE MATCH(u.led_nickname) AGAINST('".$ZoekTerm."') && p.post_posterid = u.led_id && t.topic_id = p.post_topicid && f.forum_id = t.topic_forumid && l.led_id = t.topic_starterid && lp.led_id = t.topic_lastuserid ";
			
			if( !empty($ForumID) ){
				$Zoek_Query .= "&& t.topic_forumid = '".$ForumID."' ";
			}
			
			if( !empty($TopicStatus) ){
				
				if( $TopicStatus == 'normaal' ) $Zoek_Query .= "&& t.topic_status = 'normaal' ";
				if( $TopicStatus == 'closed' ) $Zoek_Query .= "&& t.topic_status = 'closed' ";
				if( $TopicStatus == 'sticky' ) $Zoek_Query .= "&& t.topic_status = 'sticky' || t.topic_status = 'stickyclosed' ";
				if( $TopicStatus == 'special' ) $Zoek_Query .= "&& t.topic_status = 'faq' ";
				
			}
			
			$Zoek_Query .= "GROUP BY t.topic_id ORDER BY ".$Sorteren." ".$Sorttype;
			
		}
			
		$Zoek_Query = $Sql->Query($Zoek_Query);
		$TelResultaten = $Sql->Count($Zoek_Query);
		
		if( $TelResultaten == 0 ){
		
			$Tpl->newBlock('TOON_MELDING');
			$Tpl->Assign('MELDING', 'Er zijn geen resultaten gevonden op je zoekopdracht.');
			
		} else {
		
			$Tpl->newBlock('TOON_MELDING');
			$Tpl->Assign('MELDING', 'Er zijn '.$TelResultaten.' zoekresultaten gevonden op je zoekopdracht "'.$ZoekTerm.'".');
			
			$Tpl->newBlock('TOON_ZOEK_RESULTATEN');
			
		}
		
		while($Topic = mysql_fetch_array($Zoek_Query)){
				
			$Tpl->newBlock('TOON_TOPICS');
			
			if( $Topic['topic_status'] == 'closed' ) $Topic_image = $Global_install_url.'templates/images/closed.gif';
			elseif( $Topic['topic_status'] == 'sticky' ) $Topic_image = $Global_install_url.'templates/images/sticky.gif';
			elseif( $Topic['topic_status'] == 'stickyclosed' ) $Topic_image = $Global_install_url.'templates/images/sticky.gif';
			elseif( $Topic['topic_status'] == 'faq' ) $Topic_image = $Global_install_url.'templates/images/speciaal.gif';
		
			if( $Topic['topic_status'] == 'normaal' ){
				
				if( $Topic['topic_lastpostdatum'] >= $Sessie['tijd_ingelogd'] ) $Topic_image = $Global_install_url.'templates/images/on.gif';
				elseif( $Topic['topic_lastpostdatum'] < $Sessie['tijd_ingelogd'] ) $Topic_image = $Global_install_url.'templates/images/off.gif';
			
			}
			
			if( $Topic['topic_reports'] > 0 && Rechten($Zoek['forum_id'], 'bekijk_reports') ){
				$Tpl->Assign('TOPIC_REPORTED_IMAGE', '<img src="'.$Global_install_url.'templates/images/reported.gif" alt="Dit topic is gemeld door een gebruiker">');
			}
		
		
			$Topic_titel = $Txt->safeoutput($Topic['topic_naam']);
			if( strlen($Topic_titel) > 50 ) $Topic_titel = substr($Topic_titel, 0, 50); 
			
			$Topic_last_nickname = $Txt->safeoutput($Topic['last_nickname']);
			$Topic_lastpostdatum = date('d-m / H:i', $Topic['topic_lastpostdatum']);
			
			$Topic_starter_nickname = $Txt->safeoutput($Topic['starter_nickname']);
			
			$Forum_afkorting = $Txt->safeoutput($Topic['forum_afkorting']);
			
			if( $User_ingelogd == 1 ) $Topic_maxreplies = $User_pref_ppp;
			elseif( $User_ingelogd == 0 ) $Topic_maxreplies = 15;
					
			if ( $Topic['topic_posts'] < $Topic_maxreplies ){    
				 
				$Tpl->newBlock('TOON_AANTAL_POSTS');
				$Tpl->Assign('TOPIC_POSTS', ceil($Topic['topic_posts']) );
				
			}
					
			if( $Topic['topic_posts'] >= $Topic_maxreplies ){
			
				$Tpl->newBlock('TOON_DROPDOWN_POSTS');
				$Tpl->Assign('TOPIC_POSTS', ceil($Topic['topic_posts'] ) );
				$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
				
				$Aantal_paginas = ceil( ceil($Topic['topic_posts'] + 1) / $Topic_maxreplies );
				
				$Tel_paginas = 0;
				
				while( $Tel_paginas < $Aantal_paginas ){
				
					$GotoPage = $Tel_paginas + 1;
					$Tpl->newBlock('TOON_PAGINAS');
					$Tpl->Assign('TOPIC_PAGEID', $GotoPage);
					$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
					$Tel_paginas++;
					
				}
			
			} 
			
			$Tpl->GotoBlock('TOON_TOPICS');
			
			$Tpl->Assign('TOPIC_ID', $Topic['topic_id']);
			$Tpl->Assign('TOPIC_NAAM', $Topic_titel);
			$Tpl->Assign('TOPIC_LASTUSERID', $Topic['last_userid']);
			$Tpl->Assign('TOPIC_LASTUSERNAME', $Topic_last_nickname);
			$Tpl->Assign('TOPIC_STARTERUSERID', $Topic['starter_userid']);
			$Tpl->Assign('TOPIC_STARTERUSERNAME', $Topic['starter_nickname']);
			$Tpl->Assign('TOPIC_LASTPOSTDATUM', $Topic_lastpostdatum);
			$Tpl->Assign('TOPIC_LASTPOSTID', $Topic['topic_lastpostid']);
			$Tpl->Assign('TOPIC_IMAGE', $Topic_image);
			$Tpl->Assign('FORUM_ID', $Topic['forum_id']);
			$Tpl->Assign('FORUM_AFKORTING', $Forum_afkorting);
			
		}
		
	}
	
} 


		$ZoekTerm = addslashes($_GET['term']);
		$ZoekType = addslashes($_GET['type']);
		$Sorteren = addslashes($_GET['sorteren']);
		$Sorttype = addslashes($_GET['sorttype']);
		$ForumID = addslashes($_GET['forum']);
		$TopicStatus = addslashes($_GET['status']);
		$DisplayFrom = 0;
		
		if( empty($Sorteren) ) $Sorteren = 't.topic_lastpostdatum';
		if( empty($Sorttype) ) $Sorttype = 'DESC';
		
		
	if( !empty($_GET['term']) ) $ZoekTerm = $Txt->safeoutput($_GET['term']);
	$Tpl->AssignGlobal('FORM_TREFWOORD', $ZoekTerm);
	
	if( $_GET['type'] == 'topic' ) $Tpl->AssignGlobal('FORM_TYPE_TOPIC_SELECTED', 'selected="selected"');
	elseif( $_GET['type'] == 'user' ) $Tpl->AssignGlobal('FORM_TYPE_USER_SELECTED', 'selected="selected"');
	
	$Temp_cat = 0;
	
	$Forums_Query = $Sql->Query("SELECT cat_id, cat_naam, forum_naam, forum_id, forum_groepen, forum_afkorting FROM dt5_forum, dt5_categorie WHERE cat_id = forum_catid GROUP BY cat_id, forum_id ORDER BY cat_sort, forum_sort");
	while($Forum = mysql_fetch_array($Forums_Query)){
	
		$Tpl->newBlock('ZOEK_SUBFORUMS');
		
		$Forum_naam = $Txt->Safeoutput($Forum['forum_naam']);
		$Categorie_naam = $Txt->Safeoutput($Forum['cat_naam']);
		
		if( !empty($Forum['forum_groepen']) && substr( $Forum['forum_groepen'], ( strlen($Forum['forum_groepen']) - 1), 1) != ',') $Forum['forum_groepen'] = $Forum['forum_groepen'].',';
	
		if( !empty($Forum['forum_groepen']) && !in_array($User_groepid, explode(',', $Forum['forum_groepen']) ) ) {} else {
		
			if( $Forum['cat_id'] != $Temp_cat ){
				$Tpl->newBlock('TOON_CATEGORIE');
				$Tpl->Assign('CATEGORIE_NAAM', $Categorie_naam);
			}
		
			$Temp_cat = $Forum['cat_id'];
		
			$Tpl->newBlock('TOON_SUBFORUMS');
			$Tpl->Assign('FORUM_ID', $Forum['forum_id']);
			$Tpl->Assign('FORUM_NAAM', $Forum_naam);
		}
		
	}
	
	if( $_GET['status'] == 'alle' ) $Tpl->AssignGlobal('FORM_STATUS_ALLE_SELECTED', 'selected="selected"');
	if( $_GET['status'] == 'normaal' ) $Tpl->AssignGlobal('FORM_STATUS_NORMAAL_SELECTED', 'selected="selected"');
	if( $_GET['status'] == 'closed' ) $Tpl->AssignGlobal('FORM_STATUS_CLOSED_SELECTED', 'selected="selected"');
	if( $_GET['status'] == 'sticky' ) $Tpl->AssignGlobal('FORM_STATUS_STICKY_SELECTED', 'selected="selected"');
	if( $_GET['status'] == 'special' ) $Tpl->AssignGlobal('FORM_STATUS_SPECIAL_SELECTED', 'selected="selected"');
	
	if( $_GET['sorttype'] == 'ASC' ) $Tpl->AssignGlobal('FORM_SORT_ASC_SELECTED', 'selected="selected"');
	if( $_GET['sorttype'] == 'DESC' ) $Tpl->AssignGlobal('FORM_SORT_DESC_SELECTED', 'selected="selected"');
	
	if( $_GET['sorteren'] == 'titel' ) $Tpl->AssignGlobal('FORM_SORT_TITEL_SELECTED', 'selected="selected"');
	if( $_GET['sorteren'] == 'posts' ) $Tpl->AssignGlobal('FORM_SORT_POSTS_SELECTED', 'selected="selected"');
	if( $_GET['sorteren'] == 'datum' ) $Tpl->AssignGlobal('FORM_SORT_DATUM_SELECTED', 'selected="selected"');
	if( $_GET['sorteren'] == 'lastpost' ) $Tpl->AssignGlobal('FORM_SORT_LASTPOST_SELECTED', 'selected="selected"');
	

include 'footer.php';
?>